<bugID>1180734<Summary>Visually tidy the device name field</Summary><Description>The fantastic new device name field looks quite cramped up against the sync datatype selections, and is missing the clear (x) button to the right.

It looks as though the XUL is missing a groupbox or at least hbox, which may work out the spacing issues, not requiring any style code changes.</Description></bugID>